    import CurrentGameEndpoint from 'kayn/lib/Endpoints/SpectatorEndpoint/CurrentGameEndpoint.js'

public class | source

# CurrentGameEndpoint

#### Extends:

Endpoint~Endpoint → SpectatorSuperclass → CurrentGameEndpoint

## Constructor Summary

Public Constructor
public | constructor() |

## Member Summary

Public Members
public | by: {"summonerID": *} |
public | config: * |
public | limiter: * |

## Method Summary

Public Methods
public | summonerID(summonerID: number): * Get current game information for the given summoner ID. |

## Inherited Summary

From class SpectatorSuperclass
public | serviceName: string |

## Public Constructors

### public constructor() source

#### Override:

SpectatorSuperclass#constructor

## Public Members

### public by: {"summonerID": *} source

### public config: * source

### public limiter: * source

## Public Methods

### public summonerID(summonerID: number): * source

Get current game information for the given summoner ID.

Implements GET `/lol/spectator/v3/active-games/by-summoner/{summonerId}`.

#### Params:

Name | Type | Attribute | Description
summonerID | number |  | The ID of a summoner.

#### Return:

*